=== configfile/Makefile ===
OBJS= configfile.o 
APPS= configfile_test 

-include ../global.mk
-include ../build_tools/Makefile.generic-shared-object
