=== sensor/sensor_odometry/Makefile ===
-include ../../global.mk

#CPPFLAGS+= -I..
LDFLAGS+= -lsensor_base

OBJS= odometrysensor.o odometryreading.o

-include ../../build_tools/Makefile.generic-shared-object
