=== sensor/sensor_range/Makefile ===
-include ../../global.mk

CPPFLAGS+= -I../ 
LDFLAGS+= -lsensor_base

OBJS= rangesensor.o rangereading.o 

-include ../../build_tools/Makefile.generic-shared-object
